Index: imaps-frontend/src/scripts/util/Factory.js
===================================================================
--- imaps-frontend/src/scripts/util/Factory.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/scripts/util/Factory.js	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -6,35 +6,24 @@
 import RenderedEntrance from "../rendered_shapes/RenderedEntrance";
 import RenderedWall from "../rendered_shapes/RenderedWall.js";
-import Stairs from "../shapes/Stairs.js";
-import RenderedStairs from "../rendered_shapes/RenderedStairs.js";
-import {updateShapeCount, getShapeCount} from "./ShapeCount.js";
 export default class Factory {
-  // BUG KO KE NAPRES REFRESH SA RESETVAT COUNTS!
 
-  static createShape(shapeType,attrs) {
-    console.log(attrs,"attrs in factory")
-    console.log("position in factory: " + attrs.position.x)
+  static infoPinCount = 0;
+  static wallCount = 0;
+  static entranceCount = 0;
+  static roomCount = 0;
 
-    let scaleX = (attrs.scaleX ? parseFloat(attrs.scaleX) : 1);
-    let scaleY =  (attrs.scaleY ? parseFloat(attrs.scaleY) : 1);
-
-    attrs.scaleX = scaleX;
-    attrs.scaleY = scaleY;
-
+  static createShape(shapeType, position, blockSize, layer, rotation,scaleX = 1, scaleY = 1, increment = false) {
     switch (shapeType) {
       case "Entrance":
-        if(attrs.increment) updateShapeCount("entrance")
-        return new Entrance(attrs,getShapeCount("entrance"));
+        if(increment) this.entranceCount++;
+        return new Entrance(position, blockSize, layer, rotation,true,this.entranceCount,scaleX,scaleY);
       case "Room":
-        if(attrs.increment) updateShapeCount("room");
-        return new Room(attrs,getShapeCount("room"));
-       case "Wall":
-         return new Wall(attrs);
-       case "InfoPin":
-        if(attrs.increment) updateShapeCount("infoPin")
-          return new InfoPin(attrs,getShapeCount("infoPin"));
-      case "Stairs":
-        if(attrs.increment) updateShapeCount("stairs")
-        return new Stairs(attrs,getShapeCount("stairs"))
+        if(increment) this.roomCount++;
+        return new Room(position, blockSize, layer, rotation,true, this.roomCount,scaleX,scaleY);
+      case "Wall":
+        return new Wall(position, blockSize, layer, rotation,true,scaleX,scaleY);
+      case "InfoPin":
+        if(increment) this.infoPinCount++;
+        return new InfoPin(position, blockSize, layer, false,this.infoPinCount);
       default:
         throw new Error("Invalid shape type: " + shapeType);
@@ -45,10 +34,4 @@
     let scaleX = (attrs.scaleX ? parseFloat(attrs.scaleX) : 1);
     let scaleY =  (attrs.scaleY ? parseFloat(attrs.scaleY) : 1);
-
-    attrs.width *= scaleX;
-    attrs.height *= scaleY
-
-    console.log("SCALEX " + scaleX)
-    console.log("SCALEY " + scaleY)
     switch (shapeType) {
       case "Entrance":
@@ -58,6 +41,4 @@
       case "Wall":
         return new RenderedWall(attrs,scaleX,scaleY);
-      case "Stairs":
-        return new RenderedStairs(attrs,scaleX,scaleY)
       default:
         throw new Error("Invalid shape type." + shapeType);
Index: imaps-frontend/src/scripts/util/zoomStage.js
===================================================================
--- imaps-frontend/src/scripts/util/zoomStage.js	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/scripts/util/zoomStage.js	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -1,4 +1,4 @@
-export const zoomStage = (e,stage,shift=false) => {
-    if (shift && !e.evt.shiftKey) return;
+export const zoomStage = (e,stage) => {
+    if (!e.evt.shiftKey) return;
 
     e.evt.preventDefault();
